Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: BitShares-PTS Mac OS X wallet issues [solved]  (Read 748 times)

Offline instacash

  • Newbie
  • *
  • Posts: 5
    • View Profile
BitShares-PTS Mac OS X wallet issues [solved]
« on: August 18, 2014, 10:21:38 AM »

There is currently an issue with the BitShares-PTS and BitSharesX Mac OS X Wallet on OS X 10.10 Yosemite that must be fixed.

<solved>

Cheers, keep up the good work!
« Last Edit: August 19, 2014, 04:55:50 PM by instacash »

Offline instacash

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: BitShares-PTS Mac OS X Wallet issues
« Reply #1 on: August 18, 2014, 10:31:06 AM »
Also, just tried BitSharesX 0.3.0: http://i.imgur.com/GI0R1uT.png?1
« Last Edit: August 19, 2014, 04:55:39 PM by instacash »

Offline testz

Re: BitShares-PTS Mac OS X critical wallet issue
« Reply #2 on: August 19, 2014, 04:08:44 PM »
There is currently a critical issue with the BitShares-PTS Mac OS X Wallet that must be fixed.

First, one can not launch the current build (Aug 18, 0:07:14) as it is not properly bundled:

Code: [Select]
Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
  Library not loaded: /opt/local/lib/db48/libdb_cxx-4.8.dylib
  Referenced from: /Applications/BitShares-PTS.app/Contents/MacOS/BitShares-PTS
  Reason: image not found

Secondly, it looks pixelated on Mac retina displays and requires the following added to its Info.plist to fix this:
Code: [Select]
  <key>NSHighResolutionCapable</key>
    <string>True</string>

I've fixed my build and it's fine now. Please deploy these fixes to the public release asap.

Cheers, keep up the good work!

If you already fix it, please make pull request into repo: https://github.com/BitShares/BitShares-PTS

Offline instacash

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: BitShares-PTS Mac OS X critical wallet issue
« Reply #3 on: August 19, 2014, 04:12:28 PM »
If you already fix it, please make pull request into repo: https://github.com/BitShares/BitShares-PTS

Hi testz, I can do a pull request to add the NSHighResolutionCapable parameter (which is rather a minor detail compared to the current bundle issue which does not allow one to run the app other than on the machine it was built on). When it comes to deploying the app with all its dependencies, this should be done on the machine which compiles the wallets for public release using macdeployqt. This is not an issue of the source but how the app is bundled.

Offline testz

Re: BitShares-PTS Mac OS X critical wallet issue
« Reply #4 on: August 19, 2014, 04:18:17 PM »
If you already fix it, please make pull request into repo: https://github.com/BitShares/BitShares-PTS

Hi testz, I can do a pull request to add the NSHighResolutionCapable parameter (which is rather a minor detail compared to the current bundle issue which does not allow one to run the app other than on the machine it was built on). When it comes to deploying the app with all its dependencies, this should be done on the machine which compiles the wallets for public release using macdeployqt. This is not an issue of the source but how the app is bundled.

About app binding, you get this problem with release https://github.com/BitShares/BitShares-PTS/releases/download/v1.0.0/BitShares-PTS-1.0.0-macosx.dmg or night build? If you get problem with my release, can you explain what is missing and how you fix it, because lot of the peoples use it and I'm not familiar with this problem.

Offline instacash

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: BitShares-PTS Mac OS X critical wallet issue
« Reply #5 on: August 19, 2014, 04:20:46 PM »
If you already fix it, please make pull request into repo: https://github.com/BitShares/BitShares-PTS

Hi testz, I can do a pull request to add the NSHighResolutionCapable parameter (which is rather a minor detail compared to the current bundle issue which does not allow one to run the app other than on the machine it was built on). When it comes to deploying the app with all its dependencies, this should be done on the machine which compiles the wallets for public release using macdeployqt. This is not an issue of the source but how the app is bundled.

About app binding, you get this problem with release https://github.com/BitShares/BitShares-PTS/releases/download/v1.0.0/BitShares-PTS-1.0.0-macosx.dmg or night build? If you get problem with my release, can you explain what is missing and how you fix it, because lot of the peoples use it and I'm not familiar with this problem.

Thanks!  This build works fine indeed.

Could you link to this release on Bitshares.org rather than only the nightly ones, as these are the ones that are not properly bundled? When I head over to http://bitshares.org/resources/downloads/ all I see is the nightly builds, is this correct?

p.s. sent a pull request for the retina display support parameter.
« Last Edit: August 19, 2014, 04:24:46 PM by instacash »

Offline testz

Re: BitShares-PTS Mac OS X critical wallet issue
« Reply #6 on: August 19, 2014, 04:24:34 PM »
If you already fix it, please make pull request into repo: https://github.com/BitShares/BitShares-PTS

Hi testz, I can do a pull request to add the NSHighResolutionCapable parameter (which is rather a minor detail compared to the current bundle issue which does not allow one to run the app other than on the machine it was built on). When it comes to deploying the app with all its dependencies, this should be done on the machine which compiles the wallets for public release using macdeployqt. This is not an issue of the source but how the app is bundled.

About app binding, you get this problem with release https://github.com/BitShares/BitShares-PTS/releases/download/v1.0.0/BitShares-PTS-1.0.0-macosx.dmg or night build? If you get problem with my release, can you explain what is missing and how you fix it, because lot of the peoples use it and I'm not familiar with this problem.

This build of yours works fine. When I head over to http://bitshares.org/resources/downloads/ all I see is the nightly builds.

Could you link to this release on Bitshares.org rather than the nightly ones, as these are the ones that are not properly bundled?

p.s. sent a pull request for the retina display support parameter.

Yes, I will ask cass to add it into Bitshares.org Fixed.
PS: Thanks for pull request.
« Last Edit: August 19, 2014, 07:42:09 PM by testz »

Offline cass

  • Hero Member
  • *****
  • Posts: 4320
  • /(┬.┬)\
    • View Profile
Re: BitShares-PTS Mac OS X critical wallet issue
« Reply #7 on: August 19, 2014, 04:37:51 PM »
mh i don't have issues with launching BitShares PTS and BitSharesX clients in parallel! Or did i get something wrong?
█║▌║║█  - - -  The quieter you become, the more you are able to hear  - - -  █║▌║║█

Offline instacash

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: BitShares-PTS Mac OS X critical wallet issue
« Reply #8 on: August 19, 2014, 04:44:27 PM »
mh i don't have issues with launching BitShares PTS and BitSharesX clients in parallel! Or did i get something wrong?

I just tried it again on a different machine (10.9.4) and you're right, both PTS nightly builds and X launch just fine.  Sorry! On Yosemite 10.10, PTS doesn't launch due to unfound library libdb_cxx-4.8.dylib, and BitSharesX displays the error as depicted above.  I'm not sure yet why this is happening. This is the first time I'm experiencing issues with wallets on Yosemite, i.e. all other wallets which work on 10.9.x work fine on 10.10.x as well. I'll dive into this to see what's the culprit.

edit, seems like the app's exectuable file (MacOS/BitSharesX) does not run on 10.10 for some reason, "“BitSharesX” is damaged and can’t be opened. You should move it to the Trash."
« Last Edit: August 19, 2014, 04:52:08 PM by instacash »

Offline cass

  • Hero Member
  • *****
  • Posts: 4320
  • /(┬.┬)\
    • View Profile
Re: BitShares-PTS Mac OS X wallet issues [solved]
« Reply #9 on: August 19, 2014, 04:51:42 PM »
ah ok yes i'm on 10.8.5 didn't updated to Maverick/Yosemite ... sry better to write my OSX version next time directly ... :)
BTW thx for your efforts and initiative
█║▌║║█  - - -  The quieter you become, the more you are able to hear  - - -  █║▌║║█

Offline yoshiwatusi

  • Jr. Member
  • **
  • Posts: 22
    • View Profile
Re: BitShares-PTS Mac OS X wallet issues [solved]
« Reply #10 on: August 29, 2014, 02:45:00 AM »
i have been unsuccessful running the mac wallet on osx 10.7.5>> it crashes.. what should i do

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 11958
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: BitShares-PTS Mac OS X wallet issues [solved]
« Reply #11 on: August 29, 2014, 06:40:25 AM »
i have been unsuccessful running the mac wallet on osx 10.7.5>> it crashes.. what should i do
What about read the thread you posted in and realize that you need a newer verison of osx currently to run the wallet?!
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline yoshiwatusi

  • Jr. Member
  • **
  • Posts: 22
    • View Profile
Re: BitShares-PTS Mac OS X wallet issues [solved]
« Reply #12 on: August 29, 2014, 08:48:02 PM »
i have been unsuccessful running the mac wallet on osx 10.7.5>> it crashes.. what should i do
What about read the thread you posted in and realize that you need a newer verison of osx currently to run the wallet?!
i was able to run bitShares PTS on 10.7.5.. why can't i run bitsharesX wallet?

Offline bluebit

  • Sr. Member
  • ****
  • Posts: 271
    • View Profile
Re: BitShares-PTS Mac OS X wallet issues [solved]
« Reply #13 on: August 29, 2014, 09:02:35 PM »
Have you downloaded the newest version 0.4.9?

The mac wallet works fine for me once I updated and let it sync from the beginning again.
BTSX TipMe: bluebit

Offline yoshiwatusi

  • Jr. Member
  • **
  • Posts: 22
    • View Profile
Re: BitShares-PTS Mac OS X wallet issues [solved]
« Reply #14 on: August 30, 2014, 07:47:20 AM »
Have you downloaded the newest version 0.4.9?

The mac wallet works fine for me once I updated and let it sync from the beginning again.

yes… what OSX version do you have?

 

Google+